
var iID;

/* Main.html *******************************************************************************/

function MainLoadContent()
{
	ResetUserInfo();
}

function ResetUserInfo()
{
	parent.UserInfo_ID = system_default_id;
	parent.UserInfo_Password = system_default_password;
	parent.UserInfo_New_Password = "";
	parent.UserInfo_Change_Password = false;
	parent.UserInfo_Default_Password = false;
}

function ClickQIG()
{
	FinderObj.OpenPDF_(main_PDF_QIG);
}

function ClickManual()
{
	FinderObj.OpenPDF_(main_PDF_Manual);
}

function ClickReg()
{
	FinderObj.OpenBrowser_(main_product_reg_url);
}

/* TOU.html ********************************************************************************/

function FCCLoadContent()
{
	document.getElementById("main_fcc_agree").innerHTML = FCC_agree;
	document.getElementById("main_fcc_disagree").innerHTML = FCC_disagree;
	document.getElementById("main_fcc_title").innerHTML = FCC_title;
	document.getElementById("main_fcc_content").innerHTML = FCC_content;
}

function TOULink()
{
	FinderObj.OpenBrowser_(tou_url);
}

/* Mac.html ********************************************************************************/

function MacLoadContent()
{
	document.getElementById("mac_title").innerHTML = mac_title_content;
	document.getElementById("mac_desc").innerHTML = mac_desc_content;
	document.getElementById("home").innerHTML = common_home;
	document.getElementById("mac_back").innerHTML = common_back;
	document.getElementById("mac_next").innerHTML = common_next;
}

/* Network.html ****************************************************************************/

function NetworkLoadContent()
{
	document.getElementById("network_title").innerHTML = network_title_content;
	document.getElementById("network_desc").innerHTML = network_desc_content;
	document.getElementById("home").innerHTML = common_home;
	document.getElementById("network_back").innerHTML = common_back;
	document.getElementById("network_next").innerHTML = common_next;
	document.getElementById("network_wps_desc").innerHTML = network_wps_desc_content;
	document.getElementById("network_wps_desc1").innerHTML = network_wps_desc_content1;
	document.getElementById("network_wireless_desc").innerHTML = network_wireless_desc_content;
	document.getElementById("network_wired_desc").innerHTML = network_wired_desc_content;
	
	switch(parent.NetworkInfo_Mode)
	{
		case 1:
			ClickNetworkWPS();
			break;
		case 2:
			ClickNetworkWireless();
			break;
		case 3:
			ClickNetworkWired();
			break;
		default:
			ClickNetworkWPS();
			break;
	}
}


function ClickNetworkWPS()
{
	parent.NetworkInfo_Mode = 1;
	document.getElementById("network_wps").checked = true;
}

function ClickNetworkWireless()
{
	parent.NetworkInfo_Mode = 2;
	document.getElementById("network_wireless").checked = true;
}

function ClickNetworkWired()
{
	parent.NetworkInfo_Mode = 3;
	document.getElementById("network_wired").checked = true;
}

/* Power.html ******************************************************************************/

function PowerLoadContent()
{
	document.getElementById("power_title").innerHTML = power_title_content;
	document.getElementById("power_desc").innerHTML = power_desc_content;
	document.getElementById("home").innerHTML = common_home;
	document.getElementById("power_back").innerHTML = common_back;
	document.getElementById("power_next").innerHTML = common_next;
}

/* WPS.html ********************************************************************************/

function WPSLoadContent()
{
	document.getElementById("wps_title").innerHTML = wps_title_content;
	document.getElementById("wps_desc").innerHTML = wps_desc_content;
	document.getElementById("home").innerHTML = common_home;
	document.getElementById("wps_back").innerHTML = common_back;
	document.getElementById("wps_next").innerHTML = common_next;
}

/* Ethernet.html ***************************************************************************/

function EthernetLoadContent()
{
	document.getElementById("ethernet_title").innerHTML = ethernet_title_content;
	document.getElementById("ethernet_desc").innerHTML = ethernet_desc_content;
	document.getElementById("home").innerHTML = common_home;
	document.getElementById("ethernet_back").innerHTML = common_back;
	document.getElementById("ethernet_next").innerHTML = common_next;
}

/* NotFound.html ***************************************************************************/

function NotFoundLoadContent()
{
	document.getElementById("not_found_title").innerHTML = not_found_title_content;
	if(parent.NetworkInfo_Mode == 1)
		document.getElementById("not_found_desc").innerHTML = not_found_desc_content_wps;
	else
		document.getElementById("not_found_desc").innerHTML = not_found_desc_content;
	document.getElementById("home").innerHTML = common_home;
	document.getElementById("not_found_back").innerHTML = common_back;
	document.getElementById("not_found_retry").innerHTML = common_retry;
}

/* WaitSearch.html *************************************************************************/

function WaitSearchLoadContent()
{
	document.getElementById("wait_search_title").innerHTML = wait_search_title_content;
}

function SearchCamera()
{
	parent.Camera_List.length = 0;
	parent.Camera_Finder_Index.length = 0;
	FinderObj.SearchCamera_(system_model);
}

/* List.html *******************************************************************************/

function ListLoadContent()
{
	document.getElementById("list_title").innerHTML = list_title_content;
	document.getElementById("list_desc").innerHTML = list_desc_content;	
	if(parent.NetworkInfo_Mode == 1)
		document.getElementById("list_desc_no_cam").innerHTML = list_desc_content_no_cam_wps;
	else
		document.getElementById("list_desc_no_cam").innerHTML = list_desc_content_no_cam;
	document.getElementById("list_model").innerHTML = list_model_content;
	document.getElementById("list_mac").innerHTML = list_mac_content;
	document.getElementById("home").innerHTML = common_home;
	document.getElementById("list_retry").innerHTML = common_retry;
	document.getElementById("list_back").innerHTML = common_back;
	document.getElementById("list_next").innerHTML = common_next;
}

function LoadCameraList()
{
	for(var index = 0; index < parent.Camera_List.length; index++)
	{
		ListAddCamera(index + 1, system_model, parent.Camera_List[index]);
	}
}

function ListAddCamera(CameraNo, model, mac)
{
	var OriginHtml = document.getElementById("list_select").innerHTML;
	var AddHtml = "<div class='StyleListCamera' onClick='ListClick(" + CameraNo + ")'><span class='StyleListRadio'><input type='radio' name='camera_list' id='list_radio" + CameraNo + "'>&nbsp;</span><span class='StyleListModel'>" + model + "</span><span class='StyleListMAC'>" + mac + "</span></div>";
	document.getElementById("list_select").innerHTML = OriginHtml + AddHtml;
	ListClick("1");
}

function ListClick(CameraNo)
{
	var CameraID = "list_radio" + CameraNo;
	document.getElementById(CameraID).checked = true;
}

function RecordSelectCamera()
{
	var CamIndex = CheckSelectCameraIndex();
	if(parent.Camera_Index != CamIndex)
		ResetUserInfo();
	parent.Camera_Index = CamIndex;
	ListNext();
}

function CheckSelectCameraIndex()
{
	var CameraNo = 1;
	var Count = parent.Camera_List.length + 1;
	while(CameraNo < Count)
	{
		var CameraID = "list_radio" + CameraNo;
		if(document.getElementById(CameraID).checked == true)
			break;
		CameraNo++;
	}
	
	return CameraNo - 1;
}

/* IDPassword.html *************************************************************************/

function IDPWLoadContent()
{
	document.getElementById("id_pw_title").innerHTML = id_pw_title_content;
	document.getElementById("id_pw_desc").innerHTML = id_pw_desc_content;
	document.getElementById("id_pw_id_desc").innerHTML = id_pw_id_desc_content;
	document.getElementById("id_pw_password_desc").innerHTML = id_pw_password_desc_content;
	document.getElementById("id_pw_change_pw_desc").innerHTML = id_pw_change_pw_desc_content;
	document.getElementById("id_pw_uncheck_desc").innerHTML = id_pw_uncheck_desc_content;
	document.getElementById("id_pw_new_pw_desc").innerHTML = id_pw_new_pw_desc_content;
	document.getElementById("id_pw_cf_new_pw_desc").innerHTML = id_pw_cf_new_pw_desc_content;
	document.getElementById("home").innerHTML = common_home;
	document.getElementById("id_pw_back").innerHTML = common_back;
	document.getElementById("id_pw_next").innerHTML = common_next;
	
	document.getElementById("id_pw_id").value = parent.UserInfo_ID;
	document.getElementById("id_pw_password").value = parent.UserInfo_Password;
	document.getElementById("id_pw_new_pw").value = parent.UserInfo_New_Password;
	document.getElementById("id_pw_cf_new_pw").value = parent.UserInfo_New_Password;
	
	parent.UserInfo_Change_Password = true;
	document.getElementById("id_pw_change_pw").checked = parent.UserInfo_Change_Password;	
	document.getElementById("id_pw_change_pw").disabled = parent.UserInfo_Default_Password;
	
	document.getElementById("id_pw_password").focus();
}

function ClickChangePassword()
{
	if(document.getElementById("id_pw_change_pw").disabled == true)
		return;
	
	if(document.getElementById("id_pw_change_pw").checked == true)
	{
		document.getElementById("id_pw_change_pw").checked = false;
		parent.UserInfo_Change_Password = false;
	}
	else
	{
		document.getElementById("id_pw_change_pw").checked = true;
		parent.UserInfo_Change_Password = true;
	}
}

function CheckIDPWInfo()
{
	if(!CheckPassword())
		return;
	
	if(!CheckNewPassword())
		return;
	
	IDPWNext();
}

function CheckPassword()
{
	var result = FinderObj.VerifyAuth_ID_Password_(parent.Camera_Finder_Index[parent.Camera_Index], document.getElementById("id_pw_id").value, document.getElementById("id_pw_password").value);

	if(result == 0)
	{
		parent.UserInfo_ID = document.getElementById("id_pw_id").value;
		parent.UserInfo_Password = document.getElementById("id_pw_password").value;
		return true;
	}
	else if(result == -8)	//default password
	{
		parent.UserInfo_ID = document.getElementById("id_pw_id").value;
		parent.UserInfo_Password = document.getElementById("id_pw_password").value;
		if(document.getElementById("id_pw_change_pw").checked == false)
		{
			ClickChangePassword();
			parent.UserInfo_Default_Password = true;
			document.getElementById("id_pw_change_pw").disabled = true;
			ShowMessage(msg_pw_default_pw);
			return false;
		}
		return true;
	}
	else
	{
		ShowMessage(msg_pw_incorrect);
		return false;
	}
}

function CheckNewPassword()
{
	parent.UserInfo_Change_Password = document.getElementById("id_pw_change_pw").checked;
	if(parent.UserInfo_Change_Password)
	{
		if(document.getElementById("id_pw_new_pw").value != document.getElementById("id_pw_cf_new_pw").value)
		{
			ShowMessage(msg_pw_not_match);
			return false;
		}
		
		if(document.getElementById("id_pw_new_pw").value == system_default_password || document.getElementById("id_pw_new_pw").value == "")
		{
			ShowMessage(msg_pw_invalid_format);
			return false;
		}
		
		var strPassword = document.getElementById("id_pw_new_pw").value;
		if(strPassword.length < 8)
		{
			ShowMessage(msg_pw_too_short);
			return false;
		}
		
		for(var i = 0; i < strPassword.length; i++)
		{			
			if(IsAlphabetNumber(strPassword.charCodeAt(i)) == false)
			{
				ShowMessage(msg_pw_alphabet_number);
				return false;
			}
		}
		
		parent.UserInfo_New_Password = document.getElementById("id_pw_new_pw").value;
	}
	
	return true;
}

function IsAlphabetNumber(charCode)
{
	if(charCode >= 48 && charCode <=57)
		return true;
	if(charCode >= 65 && charCode <=90)
		return true;
	if(charCode >= 97 && charCode <=122)
		return true;

	return false;
}

/* Detect.html *****************************************************************************/

function DetectLoadContent()
{
	parent.OnDetect = true;
	document.getElementById("detect_title").innerHTML = detect_title_content;
}

function SetupAuthentication()
{
	if(parent.UserInfo_Change_Password && (parent.UserInfo_Password != parent.UserInfo_New_Password))
	{
		ResetSettingResult();
		FinderObj.SetupAuth_ID_Password_(parent.Camera_Finder_Index[parent.Camera_Index], parent.UserInfo_ID, parent.UserInfo_New_Password);
		iID = setInterval("CheckSetAuthThreadComplete()", 2000);
	}
	else
		GetOptionCmd();
}

function CheckSetAuthThreadComplete()
{
	if(FinderObj.CheckThreadComplete())
	{
		clearInterval(iID);
		parent.SettingResult_Auth = FinderObj.QueryResult();
		parent.SettingResult_Auth_Error = FinderObj.QueryAuthError();
		if(parent.SettingResult_Auth == false)
		{
			ShowMessage(msg_not_connect);
			return;
		}
		else
			GetOptionCmd();
	}
}

function GetOptionCmd()
{
	FinderObj.GetOptionCmd_(parent.Camera_Finder_Index[parent.Camera_Index]);
	iID = setInterval("CheckGetOptionCmdThreadComplete()", 2000);
}

function CheckGetOptionCmdThreadComplete()
{
	if(FinderObj.CheckThreadComplete())
	{
		clearInterval(iID);
		
		if(!FinderObj.CheckGetOptionCmd())
		{
			ShowMessage(msg_not_connect);
			return;
		}
		else
		{
			if(parent.UserInfo_Change_Password && (parent.UserInfo_Password != parent.UserInfo_New_Password))
				SetupCommit();
			else
				GatherInformation();
		}
	}
}

function SetupCommit()
{
	if(parent.Support_Commit == true)
	{
		FinderObj.CommitSettings_(parent.Camera_Finder_Index[parent.Camera_Index]);
		iID = setInterval("CheckCommitSettingsThreadComplete()", 2000);
	}
	else
		GatherInformation();
}

function CheckCommitSettingsThreadComplete()
{
	if(FinderObj.CheckThreadComplete())
	{
		clearInterval(iID);
		UserInfo_Change_Password = false;
		UserInfo_Default_Password = false;
		parent.UserInfo_Password = parent.UserInfo_New_Password;
		GatherInformation();
	}
}

function GatherInformation()
{
	if(!FinderObj.GetCameraInfo_(parent.Camera_Finder_Index[parent.Camera_Index]))
	{
		ShowMessage(msg_not_connect);
		return;
	}
	
	// gather linknlook information
	parent.OnlyAlpha = false;
	if(parent.Support_linknlook)
	{
		parent.SettingInfo_Cam_lnl_URL = "";
		FinderObj.GetLinknlookURL_(parent.Camera_Finder_Index[parent.Camera_Index]);
		iID = setInterval("CheckGetLinknlookURLThreadComplete()", 2000);
	}
	else
		GatherWirelessInformation();
}

function CheckGetLinknlookURLThreadComplete()
{
	if(FinderObj.CheckThreadComplete())
	{
		clearInterval(iID);
		if(FinderObj.QueryResult())
		{
			parent.SettingInfo_Cam_lnl_URL = FinderObj.GetURL();
			
			if(!FinderObj.IsAlreadyEnableAlpha_(parent.Camera_Finder_Index[parent.Camera_Index]))
				EnableLinknLook();
			else
				GatherWirelessInformation();
		}
		else
		{
			ShowMessage(msg_not_connect);
			return;
		}
	}
}

function EnableLinknLook()
{
	FinderObj.EnableAlpha_(parent.Camera_Finder_Index[parent.Camera_Index]);
	iID = setInterval("CheckEnableAlphaThreadComplete()", 2000);
}

function CheckEnableAlphaThreadComplete()
{
	if(FinderObj.CheckThreadComplete())
	{
		clearInterval(iID);
		if(FinderObj.QueryResult())
			GatherWirelessInformation();
		else
		{
			ShowMessage(msg_not_connect);
			return;
		}
	}
}

function GatherWirelessInformation()
{
	if(parent.NetworkInfo_Mode == 2)
	{
		if(!FinderObj.GetWirelessCap_(parent.Camera_Finder_Index[parent.Camera_Index]))
		{
			ShowMessage(msg_not_connect);
			return;
		}
		
		if(!FinderObj.GetWirelessInfo_(parent.Camera_Finder_Index[parent.Camera_Index]))
		{
			ShowMessage(msg_not_connect);
			return;
		}
		
		ResetSiteSurvey();
		if(parent.Support_IintSitesurvey == true)
		{
			if(!FinderObj.InitSiteSurvey_(parent.Camera_Finder_Index[parent.Camera_Index]))
			{
				ShowMessage(msg_not_connect);
				return;
			}
		}
		
		FinderObj.GetSiteSurveyInfo_(parent.Camera_Finder_Index[parent.Camera_Index]);
		iID = setInterval("CheckSiteSurveyThreadComplete()", 2000);
	}
	else
	{
		DetectNext();
	}
}

function CheckSiteSurveyThreadComplete()
{
	if(FinderObj.CheckThreadComplete())
	{
		clearInterval(iID);
		FinderObj.FinishSiteSurvey();
	}
}

function ResetSiteSurvey()
{
	parent.SiteSurvey_SSID.length = 0;
	parent.SiteSurvey_Signal.length = 0;
	parent.SiteSurvey_Mode.length = 0;
	parent.SiteSurvey_Encryption.length = 0;
	parent.SiteSurvey_Auth.length = 0;
	parent.SiteSurvey_Channel.length = 0;
}

/* Wireless.html ***************************************************************************/

function WirelessLoadContent()
{
	document.getElementById("wireless_title").innerHTML = wireless_title_content;
	document.getElementById("wireless_desc").innerHTML = wireless_desc_content;
	document.getElementById("home").innerHTML = common_home;
	document.getElementById("wireless_rescan").innerHTML = common_rescan;
	document.getElementById("wireless_back").innerHTML = common_back;
	document.getElementById("wireless_next").innerHTML = common_next;
	document.getElementById("wireless_ap_desc").innerHTML = wireless_ap_desc_content;
	document.getElementById("wireless_key_desc").innerHTML = wireless_key_desc_content;
	
	SetOptionAP();
	document.getElementById("wireless_key").value = Wireless_Setup_Key;
}

function SetOptionAP()
{
	var AP = document.getElementById("wireless_ap");
	AP.length = 0;
	for(var index = 0; index < parent.SiteSurvey_SSID.length; index++)
	{
		APOption = new Option(parent.SiteSurvey_SSID[index]);
		AP.add(APOption);
	}
	
	if(AP.length == 0)
	{
		var APOption = new Option(ap_default);
		AP.add(APOption);
		AP.value = ap_default;
		parent.Wireless_Setup_Index = 0;
		ShowMessage(msg_cam_no_ap);
	}
	else
	{
		if(parent.Wireless_Setup_Index != 0)
		{
			AP.value = parent.SiteSurvey_SSID[parent.Wireless_Setup_Index];
		}
		else
		{
			for(var index = 0; index < parent.SiteSurvey_SSID.length; index++)
			{
				if(CheckAPInfo(index))
				{
					parent.Wireless_Setup_Index = index;
					AP.value = parent.SiteSurvey_SSID[parent.Wireless_Setup_Index];					
					break;
				}
				if(index == parent.SiteSurvey_SSID.length - 1)
				{
					parent.Wireless_Setup_Index = 0;
					AP.value = parent.SiteSurvey_SSID[parent.Wireless_Setup_Index];
				}
			}
		}
	}
	AP.focus();
}

function ChangeWirelessAP()
{
	if(parent.SiteSurvey_SSID.length == 0)
		return;
	
	var Selected = document.getElementById("wireless_ap").selectedIndex;
	if(CheckAPInfo(Selected))
		parent.Wireless_Setup_Index = Selected;
	else
	{
		ShowMessage(msg_cam_ap_not_match);
		document.getElementById("wireless_ap").value = parent.SiteSurvey_SSID[parent.Wireless_Setup_Index];
	}
}

function CheckAPInfo(APIndex)
{
	// Mode
	var Mode = parent.SiteSurvey_Mode[APIndex];
	if(Mode != 0 && Mode != 1)
		return false;
	if(Mode == 0)
	{
		if(parent.Wireless_Cap_Mode_Infrastructure != true)
			return false;
	}
	else
	{
		if(parent.Wireless_Cap_Mode_Adhoc != true)
			return false;
	}
	
	// Channel
	var Channel = parent.SiteSurvey_Channel[APIndex];
	if(Channel < 0 || Channel > 15)
		return false;
	if(!CheckWirelessChannelRange(Channel))
		return false;
	
	// Authentication
	var Auth = parent.SiteSurvey_Auth[APIndex];
	if(Auth < 0 || Auth > 5)
		return false;
	if(Auth == 0)
	{
		if((parent.Wireless_Cap_Auth_Open != true) && (parent.Wireless_Cap_Auth_Open_Shared != true))
			return false;
	}
	if(Auth == 1)
	{
		if((parent.Wireless_Cap_Auth_Shared != true) && (parent.Wireless_Cap_Auth_Open_Shared != true))
			return false;
	}
	if(Auth == 2)
	{
		if(parent.Wireless_Cap_Auth_Open_Shared != true)
			return false;
	}
	if(Auth == 3)
	{
		if((parent.Wireless_Cap_Auth_WPA != true) && (parent.Wireless_Cap_Auth_WPA_WPA2 != true))
			return false;
		if(Mode == 1)
			return false;
	}
	if(Auth == 4)
	{
		if((parent.Wireless_Cap_Auth_WPA2 != true) && (parent.Wireless_Cap_Auth_WPA_WPA2 != true))
			return false;
		if(Mode == 1)
			return false;
	}
	if(Auth == 5)
	{
		if(parent.Wireless_Cap_Auth_WPA_WPA2 != true)
			return false;
		if(Mode == 1)
			return false;
	}
	
	// Encryption
	var Encryption = parent.SiteSurvey_Encryption[APIndex];
	if(Encryption < 0 || Encryption > 4)
		return false;
	if(Encryption == 0)
	{
		if(parent.Wireless_Cap_Encryption_None != true)
			return false;
		if((Auth != 0) && (Auth != 2))
			return false;
	}
	if(Encryption == 1)
	{
		if(parent.Wireless_Cap_Encryption_WEP != true)
			return false;
		if((Auth != 0) && (Auth != 1) && (Auth != 2))
			return false;
	}
	if(Encryption == 2)
	{
		if((parent.Wireless_Cap_Encryption_TKIP != true) && (parent.Wireless_Cap_Encryption_TKIP_AES != true))
			return false;
		if((Auth != 3) && (Auth != 4) && (Auth != 5))
			return false;
	}
	if(Encryption == 3)
	{
		if((parent.Wireless_Cap_Encryption_AES != true) && (parent.Wireless_Cap_Encryption_TKIP_AES != true))
			return false;
		if((Auth != 3) && (Auth != 4) && (Auth != 5))
			return false;
	}
	if(Encryption == 4)
	{
		if(parent.Wireless_Cap_Encryption_TKIP_AES != true)
			return false;
		if((Auth != 3) && (Auth != 4) && (Auth != 5))
			return false;
	}
	
	return true;
}

function CheckWirelessChannelRange(Channel)
{
	for(var index = 0; index < parent.SiteSurvey_Channel.length; index++)
	{
		if(Channel == parseInt(parent.SiteSurvey_Channel[index]))
			return true;
	}
	return false;
}

function WirelessRescan()
{
	document.getElementById("wireless_ap").disabled = true;
	ResetSiteSurvey();
	if(parent.Support_IintSitesurvey == true)
	{
		if(!FinderObj.InitSiteSurvey_(parent.Camera_Finder_Index[parent.Camera_Index]))
		{
			ShowMessage(msg_not_connect);
			return;
		}
	}
	
	FinderObj.GetSiteSurveyInfo_(parent.Camera_Finder_Index[parent.Camera_Index]);
	iID = setInterval("CheckRescanSiteSurveyThreadComplete()", 2000);
}

function CheckRescanSiteSurveyThreadComplete()
{
	if(FinderObj.CheckThreadComplete())
	{
		clearInterval(iID);
		var AP = document.getElementById("wireless_ap");
		AP.length = 0;
		if(FinderObj.FinishRescanSiteSurvey())
		{
			SetOptionAP();
		}
		AP.disabled = false;
	}
}

function CheckWirelessInfo()
{
	if(parent.SiteSurvey_SSID.length == 0)
	{
		ShowMessage(msg_cam_no_ap);
		return;
	}
	
	if(!CheckWirelessKey(parent.Wireless_Setup_Index))
		return;
	
	WirelessNext();
}

function CheckWirelessKey(CheckIndex)
{
	if(parent.SiteSurvey_Encryption[CheckIndex] == 0)
	{
		parent.Wireless_Setup_Key = "";
		return true;
	}
	
	var Wireless_Key = document.getElementById("wireless_key").value;
	if(parent.SiteSurvey_Encryption[CheckIndex] == 1)
	{
		var key_length = Wireless_Key.length;
		if(key_length != 5 && key_length != 10 && key_length != 13 && key_length != 26)
		{
			ShowMessage(msg_wep_invalid_format);
			return false;
		}
		else
		{
			if(key_length == 5)		//5ASCII, 64bits
			{
				parent.Wireless_Info_WEPKey_Format = 0;
				parent.Wireless_Info_WEPKey_Len = 0;
			}
			else if(key_length == 10)	//10hex, 64bits
			{
				if(!CheckHex(Wireless_Key))
				{
					ShowMessage(msg_key_hex_number);
					return false;
				}
				
				parent.Wireless_Info_WEPKey_Format = 1;
				parent.Wireless_Info_WEPKey_Len = 0;
			}
			else if(key_length == 13)	//13ASCII, 128bits
			{
				parent.Wireless_Info_WEPKey_Format = 0;
				parent.Wireless_Info_WEPKey_Len = 1;
			}
			else					//26hex, 128bits
			{
				if(!CheckHex(Wireless_Key))
				{
					ShowMessage(msg_key_hex_number);
					return false;
				}
				
				parent.Wireless_Info_WEPKey_Format = 1;
				parent.Wireless_Info_WEPKey_Len = 1;
			}
		}
		parent.Wireless_Info_WEP_KEY = Wireless_Key;
	}

	if((parent.SiteSurvey_Encryption[CheckIndex] != 0) && (parent.SiteSurvey_Encryption[CheckIndex] != 1))
	{
		if(Wireless_Key.length == 0)
		{
			ShowMessage(msg_key_is_null);
			return false;
		}
		if(Wireless_Key.length < 8)
		{
			ShowMessage(msg_key_too_short);
			return false;
		}
		if(Wireless_Key.length == 64)
		{
			if(!CheckHex(Wireless_Key))
			{
				ShowMessage(msg_key_hex_number);
				return false;
			}
		}
		parent.Wireless_Info_WPA_KEY = Wireless_Key;
	}
	
	parent.Wireless_Setup_Key = Wireless_Key;
	return true;
}

function CheckHex(HexCode)
{
	var reg = /^[A-Fa-f0-9]+$/;
	if(HexCode.match(reg) == null)
		return false;
	else
		return true;
}

/* Setup.html ******************************************************************************/

function SetupLoadContent()
{
	parent.OnSetup = true;
	document.getElementById("setup_title").innerHTML = setup_title_content;
}

function ResetSettingResult()
{
	parent.SettingResult_Auth = true;
	parent.SettingResult_Wired = true;
	parent.SettingResult_Wireless = true;
	parent.SettingResult_Alpha = true;
	parent.SettingResult_Auth_Error = 0;
}

function SetupCamera()
{
	ResetSettingResult();
	
	if(parent.OnlyAlpha == true)
	{
		FinderObj.IsAlphaWorkable_(parent.Camera_Finder_Index[parent.Camera_Index]);
		iID = setInterval("CheckIsAlphaWorkableThreadComplete()", 2000);
	}
	else
	{
		if(parent.NetworkInfo_Mode == 3)
		{
			FinderObj.SetupDHCP_(parent.Camera_Finder_Index[parent.Camera_Index]);
			iID = setInterval("CheckSetWiredThreadComplete()", 2000);
		}
		else if(parent.NetworkInfo_Mode == 2)
		{
			FinderObj.SetupWireless_Enable_SSID_Mode_Channel_Auth_Encryption_WEPLen_WEPFormat_WEPDefault_WEPKey_WPAKey_(parent.Camera_Finder_Index[parent.Camera_Index], true,
							parent.SiteSurvey_SSID[parent.Wireless_Setup_Index], parent.SiteSurvey_Mode[parent.Wireless_Setup_Index], parent.SiteSurvey_Channel[parent.Wireless_Setup_Index],
							parent.SiteSurvey_Auth[parent.Wireless_Setup_Index],	parent.SiteSurvey_Encryption[parent.Wireless_Setup_Index], parent.Wireless_Info_WEPKey_Len,
							parent.Wireless_Info_WEPKey_Format, parent.Wireless_Info_WEP_Default_Key,	parent.Wireless_Info_WEP_KEY, parent.Wireless_Info_WPA_KEY);
			iID = setInterval("CheckSetWirelessThreadComplete()", 2000);
		}
		else if(parent.NetworkInfo_Mode == 1)
		{
			FinderObj.IsAlphaWorkable_(parent.Camera_Finder_Index[parent.Camera_Index]);
			iID = setInterval("CheckIsAlphaWorkableThreadComplete()", 2000);
		}
	}
}

function CheckIsAlphaWorkableThreadComplete()
{
	if(FinderObj.CheckThreadComplete())
	{
		clearInterval(iID);
		if(!FinderObj.QueryResult())
			parent.SettingResult_Alpha = false;
		if(parent.OnlyAlpha == true)
		{
			parent.OnlyAlpha = false;
			SetupAlphaNext();
		}
		else
			SetupNext();
	}
}

function CheckSetWiredThreadComplete()
{
	if(FinderObj.CheckThreadComplete())
	{
		clearInterval(iID);
		parent.SettingResult_Wired = FinderObj.QueryResult();
		if(parent.SettingResult_Wired)
			Commit();
		else
			ShowMessage(msg_not_connect);
	}
}

function CheckSetWirelessThreadComplete()
{
	if(FinderObj.CheckThreadComplete())
	{
		clearInterval(iID);
		parent.SettingResult_Wireless = FinderObj.QueryResult();		
		if(parent.SettingResult_Wireless)
			Commit();
		else
			ShowMessage(msg_not_connect);
	}
}

function Commit()
{
	if(parent.Support_Commit == true)
	{
		FinderObj.CommitSettings_(parent.Camera_Finder_Index[parent.Camera_Index]);
		iID = setInterval("CheckCommitThreadComplete()", 2000);
	}
	else
	{
		FinderObj.IsAlphaWorkable_(parent.Camera_Finder_Index[parent.Camera_Index]);
		iID = setInterval("CheckIsAlphaWorkableThreadComplete()", 2000);
	}
}

function CheckCommitThreadComplete()
{
	if(FinderObj.CheckThreadComplete())
	{
		clearInterval(iID);
		FinderObj.IsAlphaWorkable_(parent.Camera_Finder_Index[parent.Camera_Index]);
		iID = setInterval("CheckIsAlphaWorkableThreadComplete()", 2000);
	}
}

/* Disconnect.html *************************************************************************/

function DisconnectLoadContent()
{
	document.getElementById("disconnect_title").innerHTML = disconnect_title_content;
	document.getElementById("disconnect_desc").innerHTML = disconnect_desc_content;
	document.getElementById("home").innerHTML = common_home;
	document.getElementById("disconnect_back").innerHTML = common_back;
	document.getElementById("disconnect_next").innerHTML = common_next;
}

/* TryWireless.html ************************************************************************/

function TryWirelessLoadContent()
{
	document.getElementById("try_wireless_title").innerHTML = try_wireless_title_content;
}

function TryWireless()
{
	FinderObj.TryWireless_(parent.Camera_Finder_Index[parent.Camera_Index]);
	iID = setInterval("CheckTryWirelessThreadComplete()", 2000);
}

function CheckTryWirelessThreadComplete()
{
	if(FinderObj.CheckThreadComplete())
	{
		clearInterval(iID);
		if(FinderObj.QueryResult())
			TryWirelessSuccess();
		else
			TryWirelessFail();			
	}
}

/* ConnectFail.html ************************************************************************/

function ConnectFailLoadContent()
{
	document.getElementById("connect_fail_title").innerHTML = connect_fail_title_content;
	document.getElementById("connect_fail_desc").innerHTML = connect_fail_desc_content;
	document.getElementById("connect_fail_retry_desc").innerHTML = connect_fail_retry_desc_content;
	document.getElementById("connect_fail_wireless_desc").innerHTML = connect_fail_wireless_desc_content;
	document.getElementById("connect_fail_wireless_desc1").innerHTML = connect_fail_wireless_desc_content1;
	document.getElementById("home").innerHTML = common_home;
	document.getElementById("connect_fail_next").innerHTML = common_next;
}

function ClickConnectFailRetry()
{
	document.getElementById("connect_fail_retry").checked = true;
}

function ClickConnectFailWireless()
{
	document.getElementById("connect_fail_wireless").checked = true;
}

function ConnectFailNext()
{
	if(document.getElementById("connect_fail_retry").checked == true)
		ConnectFailRetry();
	else
		ConnectFailSetup();
}

/* Finish.html *****************************************************************************/

function FinishLoadContent()
{
	document.getElementById("finish_title").innerHTML = finish_title_content;
	document.getElementById("finish_desc").innerHTML = finish_desc_content;
	document.getElementById("finish_attention_title").innerHTML = finish_attention_title_content;
	document.getElementById("finish_attention_desc").innerHTML = finish_attention_desc_content;	
	document.getElementById("home").innerHTML = common_home;
	document.getElementById("finish_retry").innerHTML = common_retry;
	document.getElementById("finish_next").innerHTML = common_next;
	
	if(parent.SettingInfo_Cam_lnl_URL.length > 0)
		document.getElementById("finish_url").innerHTML = parent.SettingInfo_Cam_lnl_URL;
	
	if(parent.Support_linknlook == true)
	{
		if(parent.SettingResult_Alpha == true)
			document.getElementById("finish_not_work").style.visibility = "hidden";
		else
			document.getElementById("finish_not_work").style.visibility = "visible";
	}
	
	SetLiveView();
}

function ClickFinishURL()
{
	if(parent.SettingInfo_Cam_lnl_URL.length > 0)
		FinderObj.OpenBrowser_(parent.SettingInfo_Cam_lnl_URL);
}

function SetLiveView()
{
	//var LiveViewURL;
	//LiveViewURL = "http://" + parent.UserInfo_ID + ":" + parent.UserInfo_Password + "@" + parent.SettingInfo_Cam_IP + ":" + parent.SettingInfo_Cam_Port + "/video/mjpg.cgi";	
	//document.getElementById("live_view").src = LiveViewURL;
	FinderObj.LiveView_Port_ID_Password_(parent.SettingInfo_Cam_IP, parent.SettingInfo_Cam_Port, parent.UserInfo_ID, parent.UserInfo_Password);
	iID = setInterval("UpdateLiveView()", 100);
}

var UpdateView = 0;
function UpdateLiveView()
{
	if(UpdateView == 0)
	{
		document.getElementById("finish_title").style.color = "#FF6601";
		UpdateView = 1;
	}
	else
	{
		document.getElementById("finish_title").style.color = "#FF6600";
		UpdateView = 0;
	}
}

function StopLiveView()
{
	clearInterval(iID);
	FinderObj.StopLiveView();
}

function Shortcut()
{
	if(parent.SettingInfo_Cam_lnl_URL.length > 0)
		FinderObj.CreateShortcut_URL_(system_model, parent.SettingInfo_Cam_lnl_URL);
}

function FinishRetry()
{
	parent.OnlyAlpha = true;
	FinishRetryAlpha();
}

/* Congratulation.html *********************************************************************/

function CongratulationLoadContent()
{
	document.getElementById("congratulation_title").innerHTML = congratulation_title_content;
	document.getElementById("congratulation_desc").innerHTML = congratulation_desc_content;
	document.getElementById("congratulation_mobile_desc").innerHTML = congratulation_mobile_desc_content;
	document.getElementById("home").innerHTML = common_home;
	document.getElementById("exit").innerHTML = common_exit;
	
	if(parent.NetworkInfo_Mode == 3)
		CongratulationDescWired();
}

function CongratulationDescWired()
{
	document.getElementById("congratulation_title").innerHTML = congratulation_title_content_wired;
	document.getElementById("congratulation_desc").innerHTML = congratulation_desc_content_wired;
}

/* Common **********************************************************************************/

function Exit()
{
	FinderObj.CloseWizard();
}

function keyDown()
{
	if(window.event.keyCode == 8) //keyCode 8 is backspace
	{
		var ElementType = document.activeElement.type;
		if((ElementType != "text" && ElementType != "password"))
			event.returnValue = false;
	}
}

function ShowMessage(Msg)
{
	if(document.getElementById("MessageBox") == null)
		CreateMessageBox();
	
	document.getElementById("Msg_content").innerHTML = Msg;
	if(Msg == msg_not_connect)
		document.getElementById("Msg_Button").innerHTML = msg_try_again;
	else
		document.getElementById("Msg_Button").innerHTML = common_close;
	document.getElementById("MessageBox").style.display = "block";
}

function CreateMessageBox()
{
	var Msg_Box = document.createElement("div");
	Msg_Box.style.display = "none";
	Msg_Box.id = "MessageBox";
	
	var Obj_background = document.createElement("div");
	Obj_background.className = "msg_background";
	Msg_Box.appendChild(Obj_background);
	
	var Obj_Msg_Content_Bg = document.createElement("div");
	Obj_Msg_Content_Bg.className = "msg_content_bg";
	Msg_Box.appendChild(Obj_Msg_Content_Bg);
	
	var Obj_Msg_Content = document.createElement("div");
	Obj_Msg_Content.className = "msg_content";
	Obj_Msg_Content.id = "Msg_content";
	Msg_Box.appendChild(Obj_Msg_Content);
	
	var Obj_Msg_Button = document.createElement("div");
	Obj_Msg_Button.className = "StyleButtonMsg";
	Obj_Msg_Button.id = "Msg_Button";
	Obj_Msg_Button.onclick = (function(){MessageBoxClose();});
	Msg_Box.appendChild(Obj_Msg_Button);
	
	document.body.insertBefore(Msg_Box);
}

function MessageBoxClose()
{
	document.getElementById('MessageBox').style.display = 'none';
	
	if(parent.OnDetect)
		DetectBack();
		
	if(parent.OnSetup)
	{
		if(parent.NetworkInfo_Mode == 1)
			SetupWiredFail();
		else if(parent.NetworkInfo_Mode == 2)
			SetupWirelessFail();
	}
}
