
var Camera_List = [];
var Camera_Finder_Index = [];
var Camera_Index;

function AddCameraList(MAC, CamIndex)
{
	Camera_List[Camera_List.length] = MAC;
	Camera_Finder_Index[Camera_Finder_Index.length] = CamIndex;
}

var UserInfo_ID;
var UserInfo_Password;
var UserInfo_New_Password;
var UserInfo_Change_Password;
var UserInfo_Default_Password;

var SettingInfo_Use_DHCP;
var SettingInfo_Cam_IP;
var SettingInfo_Cam_Mask;
var SettingInfo_Cam_Gateway;
var SettingInfo_Cam_DNS1;
var SettingInfo_Cam_DNS2;
var SettingInfo_Cam_Port;
var SettingInfo_Cam_Name;
var SettingInfo_Cam_lnl_URL;

var NetworkInfo_Mode = 1;
var OnlyAlpha = 0;

var Support_linknlook = 0;
var Support_IintSitesurvey = 0;
var Support_Commit = 0;
var Support_QueryNetwork = 0;

function GatherOptionCmd(IintSitesurvey, Commit, QueryNetwork)
{
	Support_IintSitesurvey = IintSitesurvey;
	Support_Commit = Commit;
	Support_QueryNetwork = QueryNetwork;
}

function GatherCameraInfo(UseDHCP, CamIP, CamMask, CamGateway, CamDNS1, CamDNS2, CamPort, CamName, linknlook)
{
	SettingInfo_Use_DHCP = UseDHCP;
	SettingInfo_Cam_IP = CamIP;
	SettingInfo_Cam_Mask = CamMask;
	SettingInfo_Cam_Gateway = CamGateway;
	SettingInfo_Cam_DNS1 = CamDNS1;
	SettingInfo_Cam_DNS2 = CamDNS2;
	SettingInfo_Cam_Port = CamPort;
	SettingInfo_Cam_Name = CamName;
	Support_linknlook = linknlook;
}

var Wireless_Cap_Mode_Infrastructure;
var Wireless_Cap_Mode_Adhoc;
var Wireless_Cap_Channel = [];
var Wireless_Cap_Auth_Open;
var Wireless_Cap_Auth_Shared;
var Wireless_Cap_Auth_Open_Shared;
var Wireless_Cap_Auth_WPA;
var Wireless_Cap_Auth_WPA2;
var Wireless_Cap_Auth_WPA_WPA2;
var Wireless_Cap_Encryption_None;
var Wireless_Cap_Encryption_WEP;
var Wireless_Cap_Encryption_TKIP;
var Wireless_Cap_Encryption_AES;
var Wireless_Cap_Encryption_TKIP_AES;

function GatherWirelessCapMode(Infrastructure, Adhoc)
{
	Wireless_Cap_Mode_Infrastructure = Infrastructure;
	Wireless_Cap_Mode_Adhoc = Adhoc;
}

function GatherWirelessCapChannel(Channel)
{
	Wireless_Cap_Channel[Wireless_Cap_Channel.length] = Channel;
}

function GatherWirelessCapAuth(Open, Shared, Open_Shared, WPA, WPA2, WPA_WPA2)
{
	Wireless_Cap_Auth_Open = Open;
	Wireless_Cap_Auth_Shared = Shared;
	Wireless_Cap_Auth_Open_Shared = Open_Shared;
	Wireless_Cap_Auth_WPA = WPA;
	Wireless_Cap_Auth_WPA2 = WPA2;
	Wireless_Cap_Auth_WPA_WPA2 = WPA_WPA2;
}

function GatherWirelessCapEncryption(None, WEP, TKIP, AES, TKIP_AES)
{
	Wireless_Cap_Encryption_None = None;
	Wireless_Cap_Encryption_WEP = WEP;
	Wireless_Cap_Encryption_TKIP = TKIP;
	Wireless_Cap_Encryption_AES = AES;
	Wireless_Cap_Encryption_TKIP_AES = TKIP_AES;
}

var Wireless_Info_Enable;
var Wireless_Info_Mode;
var Wireless_Info_SSID;
var Wireless_Info_Channel;
var Wireless_Info_Auth;
var Wireless_Info_Encryption;
var Wireless_Info_WEPKey_Len;
var Wireless_Info_WEPKey_Format;
var Wireless_Info_WEP_Default_Key;
var Wireless_Info_WEP_KEY;
var Wireless_Info_WPA_KEY;

function GatherWirelessInfo(Enable, Mode, SSID, Channel, Auth, Encryption, WEP_Len, WEP_Format, WEP_Default, WEP_Key, WPA_Key)
{
	Wireless_Info_Enable = Enable;
	Wireless_Info_Mode = Mode;
	Wireless_Info_SSID = SSID;
	Wireless_Info_Channel = Channel;
	Wireless_Info_Auth = Auth;
	Wireless_Info_Encryption = Encryption;
	Wireless_Info_WEPKey_Len = WEP_Len;
	Wireless_Info_WEPKey_Format = WEP_Format;
	Wireless_Info_WEP_Default_Key = WEP_Default;
	Wireless_Info_WEP_KEY = WEP_Key;
	Wireless_Info_WPA_KEY = WPA_Key;
}

var SiteSurvey_SSID = [];
var SiteSurvey_Signal = [];
var SiteSurvey_Mode = [];
var SiteSurvey_Encryption = [];
var SiteSurvey_Auth = [];
var SiteSurvey_Channel = [];

function GatherSiteSurvey(SSID, Signal, Mode, Encryption, Auth, Channel)
{
	var SS_Index = SiteSurvey_SSID.length;
	SiteSurvey_SSID[SS_Index] = SSID;
	SiteSurvey_Signal[SS_Index] = Signal;
	SiteSurvey_Mode[SS_Index] = Mode;
	SiteSurvey_Encryption[SS_Index] = Encryption;
	SiteSurvey_Auth[SS_Index] = Auth;
	SiteSurvey_Channel[SS_Index] = Channel;
}

var Wireless_Setup_Index = 0;
var Wireless_Setup_Key = "";

var SettingResult_Auth;
var SettingResult_Wired;
var SettingResult_Wireless;
var SettingResult_Alpha;
var SettingResult_Auth_Error;

var OnDetect = 0;
var OnSetup = 0;
